<?php

/**
 * This source file is subject to the GNU GENERAL PUBLIC LICENSE (GPL 3.0)
 * It is also available at this URL: http://www.gnu.org/licenses/gpl-3.0.txt
 */

define( 'URBANEWS_MIN_PHP_VERSION', '5.3' );

/*-----------------------------------------------------------------------------------*/
/* Switches back to the previous theme if the minimum PHP version is not met */
/*-----------------------------------------------------------------------------------*/

if ( ! function_exists( 'urbanews_check_php_version' ) ) {

	function urbanews_check_php_version() {

		if ( version_compare( PHP_VERSION, URBANEWS_MIN_PHP_VERSION, '<' ) ) {
			add_action( 'admin_notices', 'urbanews_min_php_not_met_notice' );
			switch_theme( get_option( 'theme_switched' ));
			return false;

		};
	}

	add_action( 'after_switch_theme', 'urbanews_check_php_version' );

}

/*-----------------------------------------------------------------------------------*/
/* An error notice that can be displayed if the Minimum PHP version is not met */
/*-----------------------------------------------------------------------------------*/

if ( ! function_exists( 'urbanews_min_php_not_met_notice' ) ) {

	function urbanews_min_php_not_met_notice() {
		?>
		<div class="notice notice-error is_dismissable">
			<p>
				<?php esc_html_e('You need to update your PHP version to run this theme.', 'urbanews' ); ?><br />
				<?php
				printf(
					esc_html__( 'Actual version is: %1$s, required version is: %2$s.', 'urbanews' ),
					PHP_VERSION,
					URBANEWS_MIN_PHP_VERSION
				);
				?>
			</p>
		</div>
		<?php

	}

}

/*-----------------------------------------------------------------------------------*/
/* WooCommerce is active */
/*-----------------------------------------------------------------------------------*/

if ( ! function_exists( 'urbanews_is_woocommerce_active' ) ) {

	function urbanews_is_woocommerce_active( $type = '' ) {

        global $woocommerce;

        if ( isset( $woocommerce ) ) {

			if ( !$type || call_user_func($type) ) {

				return true;

			}

		}

	}

}

/*-----------------------------------------------------------------------------------*/
/* Get post comments */
/*-----------------------------------------------------------------------------------*/

if ( ! function_exists( 'urbanews_comments' ) ) {

	function urbanews_comments($comment, $args, $depth) {

	?>

		<li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">

		<div id="comment-<?php comment_ID(); ?>" class="comment-container">

			<div class="comment-avatar">
				<?php echo get_avatar($comment->comment_author_email, 80 ); ?>
			</div>

			<div class="comment-text">

            	<header class="comment-author">

                    <span class="author"><cite><?php printf( esc_html__('%s has written:','urbanews'), get_comment_author_link());?> </cite></span>

                    <time datetime="<?php echo esc_attr(get_comment_date())?>" class="comment-date">

                        <a href="<?php echo esc_url( get_comment_link( $comment->comment_ID ) ) ?>">
                            <?php printf(esc_html__('%1$s at %2$s','urbanews'), get_comment_date(),  get_comment_time()) ?>
                        </a>

                        <?php

							comment_reply_link(
								array_merge(
									$args,
									array(
										'depth' => $depth,
										'max_depth' => $args['max_depth']
									)
								)
							);

							edit_comment_link(esc_html__('(Edit)','urbanews'));

						?>

                    </time>

				</header>

				<?php if ($comment->comment_approved == '0') : ?>

                    <p><em><?php esc_html_e('Your comment is awaiting approval.','urbanews') ?></em></p>

				<?php endif; ?>

				<?php comment_text() ?>

			</div>

			<div class="clear"></div>

		</div>

	<?php

	}

}

/*-----------------------------------------------------------------------------------*/
/* Function to check if the searchform.php file is loaded inside a sidebar area */
/*-----------------------------------------------------------------------------------*/

if ( ! function_exists( 'urbanews_is_sidebar_area' ) ) {

	function urbanews_is_sidebar_area() {

		$result = false;

		$activeSidebars = array(
			'urbanews_side_sidebar',
			'urbanews_scroll_sidebar',
			'urbanews_header_sidebar',
			'urbanews_bottom_sidebar',
			'urbanews_footer_sidebar'
		);

		if ( in_array(current_filter(), $activeSidebars) ) {
			$result = true;
		}

		return $result;

	}

}

/*-----------------------------------------------------------------------------------*/
/* Get archive title */
/*-----------------------------------------------------------------------------------*/

if (!function_exists('urbanews_get_the_archive_title')) {

	function urbanews_get_archive_title() {

		if ( is_category() ) {
			$title = sprintf( esc_html__( 'Category: %s', 'urbanews' ), single_cat_title( '', false ) );
		} elseif ( is_tag() ) {
			$title = sprintf( esc_html__( 'Tag: %s', 'urbanews' ), single_tag_title( '', false ) );
		} elseif ( is_author() ) {
			$title = sprintf( esc_html__( 'Author: %s', 'urbanews' ), '<span class="vcard">' . get_the_author() . '</span>' );
		} elseif ( is_year() ) {
			$title = sprintf( esc_html__( 'Year: %s', 'urbanews' ), get_the_date( esc_html_x( 'Y', 'yearly archives date format', 'urbanews' ) ) );
		} elseif ( is_month() ) {
			$title = sprintf( esc_html__( 'Month: %s', 'urbanews' ), get_the_date( esc_html_x( 'F Y', 'monthly archives date format', 'urbanews' ) ) );
		} elseif ( is_day() ) {
			$title = sprintf( esc_html__( 'Day: %s', 'urbanews' ), get_the_date( esc_html_x( 'F j, Y', 'daily archives date format', 'urbanews' ) ) );
		} elseif ( is_tax( 'post_format' ) ) {
			if ( is_tax( 'post_format', 'post-format-aside' ) ) {
				$title = esc_html_x( 'Asides', 'post format archive title', 'urbanews' );
			} elseif ( is_tax( 'post_format', 'post-format-gallery' ) ) {
				$title = esc_html_x( 'Galleries', 'post format archive title', 'urbanews' );
			} elseif ( is_tax( 'post_format', 'post-format-image' ) ) {
				$title = esc_html_x( 'Images', 'post format archive title', 'urbanews' );
			} elseif ( is_tax( 'post_format', 'post-format-video' ) ) {
				$title = esc_html_x( 'Videos', 'post format archive title', 'urbanews' );
			} elseif ( is_tax( 'post_format', 'post-format-quote' ) ) {
				$title = esc_html_x( 'Quotes', 'post format archive title', 'urbanews' );
			} elseif ( is_tax( 'post_format', 'post-format-link' ) ) {
				$title = esc_html_x( 'Links', 'post format archive title', 'urbanews' );
			} elseif ( is_tax( 'post_format', 'post-format-status' ) ) {
				$title = esc_html_x( 'Statuses', 'post format archive title', 'urbanews' );
			} elseif ( is_tax( 'post_format', 'post-format-audio' ) ) {
				$title = esc_html_x( 'Audio', 'post format archive title', 'urbanews' );
			} elseif ( is_tax( 'post_format', 'post-format-chat' ) ) {
				$title = esc_html_x( 'Chats', 'post format archive title', 'urbanews' );
			}
		} elseif ( is_post_type_archive() ) {
			$title = sprintf( esc_html__( 'Archives: %s', 'urbanews' ), post_type_archive_title( '', false ) );
		} elseif ( is_tax() ) {
			$tax = get_taxonomy( get_queried_object()->taxonomy );
			$title = sprintf( esc_html__( '%1$s: %2$s', 'urbanews' ), $tax->labels->singular_name, single_term_title( '', false ) );
		}

		if ( isset($title) )  :
			return $title;
		else:
			return false;
		endif;

	}

}

/*-----------------------------------------------------------------------------------*/
/* Check if is single page */
/*-----------------------------------------------------------------------------------*/

if (!function_exists('urbanews_is_single')) {

	function urbanews_is_single() {

		if ( is_single() || is_page() ) :

			return true;

		endif;

	}

}

/*-----------------------------------------------------------------------------------*/
/* Get theme setting */
/*-----------------------------------------------------------------------------------*/

if (!function_exists('urbanews_setting')) {

	function urbanews_setting($id, $default = FALSE ) {

		return get_theme_mod($id, $default);

	}

}

/*-----------------------------------------------------------------------------------*/
/* Get post meta */
/*-----------------------------------------------------------------------------------*/

if (!function_exists('urbanews_postmeta')) {

	function urbanews_postmeta( $id, $default = '' ) {

		global $post, $wp_query;

		if (urbanews_is_woocommerce_active('is_shop')) :

			$content_ID = get_option('woocommerce_shop_page_id');

		else :

			$content_ID = (isset($post->ID)) ? $post->ID : false;

		endif;

		$val = get_post_meta( $content_ID , $id, TRUE);

		if ( !empty($val) ) :

			return $val;

		else:

			return $default;

		endif;

	}

}

/*-----------------------------------------------------------------------------------*/
/* Add Skype on allowed protocols */
/*-----------------------------------------------------------------------------------*/

if (!function_exists('urbanews_kses_allowed_protocols')) {

	function urbanews_kses_allowed_protocols($protocols) {

		$protocols[] = 'skype';
		return $protocols;

	}

	add_filter( 'kses_allowed_protocols', 'urbanews_kses_allowed_protocols');

}

/*-----------------------------------------------------------------------------------*/
/* Responsive embed */
/*-----------------------------------------------------------------------------------*/

if (!function_exists('urbanews_embed_html')) {

	function urbanews_embed_html( $html ) {
		return '<div class="embed-container">' . $html . '</div>';
	}

	add_filter( 'embed_oembed_html', 'urbanews_embed_html', 10, 3 );
	add_filter( 'video_embed_html', 'urbanews_embed_html' );

}

/*-----------------------------------------------------------------------------------*/
/* Content template */
/*-----------------------------------------------------------------------------------*/

if (!function_exists('urbanews_template')) {

	function urbanews_template($id) {

		$template = array (

			'full' => 'col-md-12' ,
			'left-sidebar' => 'col-md-8' ,
			'right-sidebar' => 'col-md-8'

		);

		$span = $template['right-sidebar'];
		$sidebar =  'right-sidebar';

		if (
			urbanews_is_woocommerce_active('is_woocommerce') &&
			urbanews_postmeta('urbanews_template') &&
			is_search()
		) {

			$span = $template[esc_attr(urbanews_postmeta('urbanews_template'))];
			$sidebar =  esc_attr(urbanews_postmeta('urbanews_template'));

		} elseif (
			!is_attachment() &&
			urbanews_postmeta('urbanews_template') &&
			(is_page() || is_single() || urbanews_is_woocommerce_active('is_shop'))
		) {

			$span = $template[esc_attr(urbanews_postmeta('urbanews_template'))];
			$sidebar =  esc_attr(urbanews_postmeta('urbanews_template'));

		} elseif (
			!urbanews_is_woocommerce_active('is_woocommerce') &&
			( is_category() || is_tag() || is_month() ) &&
			urbanews_setting('urbanews_category_layout')
		) {

			$span = $template[esc_attr(urbanews_setting('urbanews_category_layout'))];
			$sidebar =  esc_attr(urbanews_setting('urbanews_category_layout'));

		} elseif (
			is_home() &&
			urbanews_setting('urbanews_home_layout')
		) {

			$span = $template[esc_attr(urbanews_setting('urbanews_home_layout'))];
			$sidebar =  esc_attr(urbanews_setting('urbanews_home_layout'));

		} else if (
			!urbanews_is_woocommerce_active('is_woocommerce') &&
			is_search() &&
			urbanews_setting('urbanews_search_layout')
		) {

			$span = $template[esc_attr(urbanews_setting('urbanews_search_layout'))];
			$sidebar =  esc_attr(urbanews_setting('urbanews_search_layout'));

		} else if (
			urbanews_is_woocommerce_active('is_woocommerce') &&
			( urbanews_is_woocommerce_active('is_product_category') || urbanews_is_woocommerce_active('is_product_tag') ) &&
			urbanews_setting('urbanews_woocommerce_category_layout')
		) {

			$span = $template[esc_attr(urbanews_setting('urbanews_woocommerce_category_layout'))];
			$sidebar =  esc_attr(urbanews_setting('urbanews_woocommerce_category_layout'));

		} elseif ( is_attachment() ) {

			$span = $template['full'];
			$sidebar =  'full';

		}

		return ${$id};

	}

}

/*-----------------------------------------------------------------------------------*/
/* Is archive */
/*-----------------------------------------------------------------------------------*/

if (!function_exists('urbanews_is_archive')) {

	function urbanews_is_archive() {

		if (
			is_category() ||
			is_tag() ||
			is_author() ||
			is_year() ||
			is_month()

		) {

			return true;

		} else {

			return false;

		}

	}

}

/*-----------------------------------------------------------------------------------*/
/* BODY CLASSES */
/*-----------------------------------------------------------------------------------*/

if (!function_exists('urbanews_body_classes_function')) {

	function urbanews_body_classes_function($classes) {

		global $wp_customize;

		if ( isset( $wp_customize ) ) :

			$classes[] = 'is_customizer_panel';

		endif;

		if (
			( is_home() ) ||
			( urbanews_is_archive() ) ||
			( is_search() )
		) :

			$classes[] = 'is_blog_section';

		endif;

		if ( urbanews_setting('urbanews_enable_boxed_layout', false) == false ) :

			$classes[] = 'is_minimal_layout';

		endif;

		if ( urbanews_setting('urbanews_underline_below_section_titles', false) == true ) :

			$classes[] = 'hide_underline_below_section_titles';

		endif;

		if ( 
			(
				urbanews_is_archive() && 
				urbanews_setting('urbanews_category_layout') == 'full'
			) || 
			(
				is_search() && 
				urbanews_setting('urbanews_search_layout') == 'full'
			)
		) :

			$classes[] = 'top-section-fullwidth-layout';
		
		endif;
		
		return $classes;

	}

	add_filter('body_class', 'urbanews_body_classes_function');

}

/*-----------------------------------------------------------------------------------*/
/* Post class */
/*-----------------------------------------------------------------------------------*/

if (!function_exists('urbanews_post_class')) {

	function urbanews_post_class($classes) {

		$masonry  = 'post-container masonry-item col-md-4';
		$standard = 'post-container col-md-12';

		if ( !urbanews_is_single() ) {

			if ( is_home() ) {

				if ( 
					urbanews_setting('urbanews_home_layout') == 'col-md-4'
				) {

					$classes[] = $masonry;

				} else {

					$classes[] = $standard;

				}

			} else if ( is_archive() && !urbanews_is_woocommerce_active('is_shop') ) {

				if ( urbanews_setting('urbanews_category_layout') == 'col-md-4' ) {

					$classes[] = $masonry;

				} else {

					$classes[] = $standard;

				}

			} else if ( is_search() ) {

				if ( urbanews_setting('urbanews_search_layout') == 'col-md-4' ) {

					$classes[] = $masonry;

				} else {

					$classes[] = $standard;

				}

			}

		} else if ( urbanews_is_single() && urbanews_is_woocommerce_active('is_cart') ) {

			$classes[] = 'post-container col-md-12 woocommerce_cart_page';

		} else if ( urbanews_is_single() && !urbanews_is_woocommerce_active('is_product') ) {

			$classes[] = 'post-container col-md-12';

		} else if ( is_page() ) {

			$classes[] = 'full';

		}

		if (
			( is_home() ) ||
			( urbanews_is_archive() ) ||
			( is_search() )
		) :

			$classes[] = 'post-container-wrap';

		endif;
		
		if (
			(
				( is_home() ) ||
				( urbanews_is_archive() ) ||
				( is_search() )
	
			) &&
			( urbanews_setting('urbanews_has_post_placeholder', true) == true)
		) :

			$classes[] = 'has-post-placeholder';

		endif;

		return $classes;

	}

	add_filter('post_class', 'urbanews_post_class');

}

/*-----------------------------------------------------------------------------------*/
/* Get paged */
/*-----------------------------------------------------------------------------------*/

if (!function_exists('urbanews_paged')) {

	function urbanews_paged() {

		if ( get_query_var('paged') ) {
			$paged = get_query_var('paged');
		} elseif ( get_query_var('page') ) {
			$paged = get_query_var('page');
		} else {
			$paged = 1;
		}

		return $paged;

	}

}

/*-----------------------------------------------------------------------------------*/
/* Swipebox post gallery */
/*-----------------------------------------------------------------------------------*/

if (!function_exists('urbanews_swipebox')) {

	function urbanews_swipebox($html, $id, $size, $permalink, $icon, $text) {

		if ( !$permalink )
			return str_replace( '<a', '<a class="swipebox"', $html );
		else
			return $html;
	}

	add_filter( 'wp_get_attachment_link', 'urbanews_swipebox', 10, 6);

}

/*-----------------------------------------------------------------------------------*/
/* Get link url  */
/*-----------------------------------------------------------------------------------*/

if (!function_exists('urbanews_get_link_url')) {

	function urbanews_get_link_url() {

		$content = get_the_content();
		$has_url = get_url_in_content( $content );
		return ( $has_url ) ? $has_url : apply_filters( 'the_permalink', get_permalink() );

	}

}

/*-----------------------------------------------------------------------------------*/
/* Excerpt more */
/*-----------------------------------------------------------------------------------*/

if (!function_exists('urbanews_hide_excerpt_more')) {

	function urbanews_hide_excerpt_more() {
		return '';
	}

	add_filter('the_content_more_link', 'urbanews_hide_excerpt_more');
	add_filter('excerpt_more', 'urbanews_hide_excerpt_more');

}

/*-----------------------------------------------------------------------------------*/
/* Customize excerpt more */
/*-----------------------------------------------------------------------------------*/

if (!function_exists('urbanews_customize_excerpt_more')) {

	function urbanews_customize_excerpt_more( $excerpt ) {

		global $post;

		if ( urbanews_is_single() ) :

			return $excerpt;

		else:

			$allowed = array(
				'span' => array(
					'class' => array(),
				),
			);

			$class = 'button ';
			$button = esc_html__('Read More','urbanews');
			$container = 'class="read-more"';

			if ( urbanews_setting('urbanews_readmore_layout') == "default" || !urbanews_setting('urbanews_readmore_layout') ) :

				$class = 'button ' . esc_attr(urbanews_setting('urbanews_readmore_layout'));
				$button = esc_html__('Read More','urbanews');
				$container = 'class="read-more"';

			else :

				$class = 'nobutton';
				$button = ' [&hellip;] ';
				$container = '';

			endif;

			if (
				( $pos=strpos($post->post_content, '<!--more-->') ) &&
				!has_excerpt($post->ID)
			):

				$content = apply_filters( 'the_content', get_the_content());

			else:

				$content = $excerpt;

			endif;

			return $content . '<div class="read-more-wrapper"><a '. wp_kses($container, $allowed) . ' href="' . esc_url(get_permalink($post->ID)) . '" title="'.esc_attr__('Read More','urbanews').'"> <span class="'.esc_attr($class).'">'.$button.'</span></a></div>';

		endif;


	}

	add_filter( 'get_the_excerpt', 'urbanews_customize_excerpt_more' );

}

/*-----------------------------------------------------------------------------------*/
/* Featured posts more tag */
/*-----------------------------------------------------------------------------------*/

if (!function_exists('urbanews_featured_post_more_tag')) {

    function urbanews_featured_post_more_tag($postID) {

        $excerpt = wp_trim_excerpt('', $postID);

        if (!empty($excerpt)) {
            $more = ' <a href="' . esc_url(get_permalink($postID)) . '">[&hellip;]</a>';
            return $excerpt . $more;
        }

        return $excerpt;
    }

}
	
/*-----------------------------------------------------------------------------------*/
/* Get post icon */
/*-----------------------------------------------------------------------------------*/

if (!function_exists('urbanews_posticon')) {

	function urbanews_posticon() {
		
		$html = '';

		$icons = array (
			'video' => 'fa fa-play' , 
			'gallery' => 'fa fa-camera' , 
			'audio' => 'fa fa-volume-up' , 
			'chat' => 'fa fa-users', 
			'status' => 'fa fa-keyboard-o', 
			'image' => 'fa fa-picture-o' ,
			'quote' => 'fa fa-quote-left', 
			'link' => 'fa fa-external-link', 
			'aside' => 'fa fa-file-text-o', 
		);

		if ( get_post_format() ) { 
		
			$html .= '<i class="'.esc_attr($icons[get_post_format()]).'"></i> '; 
			$html .= ucfirst( strtolower( esc_html(get_post_format()) )); 
		
		} else {
		
			$html .= '<i class="fa fa-pencil-square"></i> '; 
			$html .= esc_html__( 'Article','urbanews'); 
		
		}

		return $html;

	}

}
/*-----------------------------------------------------------------------------------*/
/* Enqueue block editor styles */
/*-----------------------------------------------------------------------------------*/

if (!function_exists('urbanews_enqueue_block_editor')) {

	function urbanews_enqueue_block_editor() {
		wp_enqueue_style('urbanews-block-editor-styles', get_template_directory_uri() . '/assets/css/block-styles.css', array(), '1.0.0' );
	}

	add_action( 'enqueue_block_editor_assets', 'urbanews_enqueue_block_editor' );

}
/*-----------------------------------------------------------------------------------*/
/* Enqueue script and styles */
/*-----------------------------------------------------------------------------------*/

if (!function_exists('urbanews_scripts_styles')) {

	function urbanews_scripts_styles() {

		$googleFontsArgs = array(
			'family' =>    str_replace('|', '%7C', urbanews_google_font_args()),
			'subset' =>    'latin,latin-ext'
		);

		wp_enqueue_style('dashicons');
		wp_enqueue_style('google-fonts', add_query_arg ( $googleFontsArgs, "https://fonts.googleapis.com/css" ), array(), '1.0.0' );
		wp_enqueue_style('bootstrap', get_template_directory_uri() . '/assets/css/bootstrap.css', array(), '3.3.7' );
		wp_enqueue_style('font-awesome', get_template_directory_uri() . '/assets/css/font-awesome.css', array(), '4.7.0' );
		wp_enqueue_style('swipebox', get_template_directory_uri() . '/assets/css/swipebox.css', array(), '1.3.0' );
		wp_enqueue_style('slick', get_template_directory_uri() . '/assets/css/slick.css', array(), '1.8.0' );
		wp_enqueue_style('urbanews-style', get_stylesheet_uri(), array() );
		wp_enqueue_style('urbanews-block-editor-styles', get_template_directory_uri() . '/assets/css/block-styles.css', array(), '1.0.0' );
		wp_enqueue_style('urbanews-woocommerce', get_template_directory_uri() . '/assets/css/woocommerce.css', array(), '1.0.0' );

		wp_enqueue_style(
			'urbanews-' . esc_attr(get_theme_mod('urbanews_skin', 'orange')),
			get_template_directory_uri() . '/assets/skins/' . esc_attr(get_theme_mod('urbanews_skin', 'orange')) . '.css',
			array( 'urbanews-style' ),
			'1.0.0'
		);

		wp_enqueue_script( 'urbanews-navigation', get_template_directory_uri() . '/assets/js/navigation.js' , array('jquery'), '1.0', TRUE );

		wp_localize_script( 'urbanews-navigation', 'accessibleNavigationScreenReaderText', array(
			'expandMain'   => __( 'Open the main menu', 'urbanews' ),
			'collapseMain' => __( 'Close the main menu', 'urbanews' ),
			'expandChild'   => __( 'expand submenu', 'urbanews' ),
			'collapseChild' => __( 'collapse submenu', 'urbanews' ),
		));

		wp_enqueue_script(
			'jquery-marquee',
			get_template_directory_uri() . '/assets/js/jquery.marquee.js',
			array('jquery'),
			'2.3.4',
			TRUE
		);

		wp_enqueue_script('jquery-easing', get_template_directory_uri() . '/assets/js/jquery.easing.js' , array('jquery'), '1.3', TRUE );
		wp_enqueue_script('jquery-nicescroll', get_template_directory_uri() . '/assets/js/jquery.nicescroll.js' , array('jquery'), '3.7.6', TRUE );
		wp_enqueue_script('jquery-swipebox', get_template_directory_uri() . '/assets/js/jquery.swipebox.js' , array('jquery'), '1.4.4', TRUE );
		wp_enqueue_script('jquery-touchSwipe', get_template_directory_uri() . '/assets/js/jquery.touchSwipe.js' , array('jquery'), '1.6.18', TRUE );
		wp_enqueue_script('fitvids', get_template_directory_uri() . '/assets/js/jquery.fitvids.js' , array('jquery'), '1.1', TRUE );
		wp_enqueue_script('slick', get_template_directory_uri() . '/assets/js/slick.js' , array('jquery'), '1.8.0', TRUE );
		wp_enqueue_script('urbanews-template',get_template_directory_uri() . '/assets/js/template.js',array('jquery', 'imagesloaded', 'masonry'), '1.0.0', TRUE );

		if ( is_singular() ) wp_enqueue_script( 'comment-reply' );

	}

	add_action( 'wp_enqueue_scripts', 'urbanews_scripts_styles' );

}

/*-----------------------------------------------------------------------------------*/
/* Theme setup */
/*-----------------------------------------------------------------------------------*/

if (!function_exists('urbanews_setup')) {

	function urbanews_setup() {

		global $content_width;

		if ( !isset($content_width) )
			$content_width = 1170;

		load_theme_textdomain( 'urbanews', get_template_directory() . '/languages');

		add_theme_support( "responsive-embeds" );
		add_theme_support( 'wp-block-styles');
		add_theme_support( 'align-wide' );

		add_theme_support( 'post-formats', array( 'aside','gallery','quote','video','audio','link','status','chat','image' ) );
		add_theme_support( 'automatic-feed-links' );
		add_theme_support( 'post-thumbnails' );
		add_theme_support( 'woocommerce' );
		add_theme_support( 'title-tag' );
		add_theme_support( 'custom-logo');

		add_theme_support( 'custom-background', array(
			'default-color' => 'f1f1f1',
		));

		add_image_size( 'urbanews_post_blocks_large', 700, 611, true );
		add_image_size( 'urbanews_post_blocks_medium', 600, 396, true );
		add_image_size( 'urbanews_post_blocks_small', 120, 100, true );
		add_image_size( 'urbanews_featured_post_large', 549, 410, true );
		add_image_size( 'urbanews_trending_image', 140, 140, TRUE );
		add_image_size( 'urbanews_blog_thumbnail', 790, 550, TRUE );

		register_nav_menu( 'main-menu', esc_attr__( 'Main Menu', 'urbanews' ) );

		require_once( trailingslashit( get_template_directory() ) . '/core/post-formats/aside-format.php' );
		require_once( trailingslashit( get_template_directory() ) . '/core/post-formats/default-format.php' );
		require_once( trailingslashit( get_template_directory() ) . '/core/post-formats/image-format.php' );
		require_once( trailingslashit( get_template_directory() ) . '/core/post-formats/link-format.php' );
		require_once( trailingslashit( get_template_directory() ) . '/core/post-formats/page-format.php' );
		require_once( trailingslashit( get_template_directory() ) . '/core/post-formats/product-format.php' );
		require_once( trailingslashit( get_template_directory() ) . '/core/post-formats/quote-format.php' );

		require_once( trailingslashit( get_template_directory() ) . '/core/post/related-post.php' );

		require_once( trailingslashit( get_template_directory() ) . '/core/post/featured-posts/horizontal-featured-posts.php' );
		require_once( trailingslashit( get_template_directory() ) . '/core/post/featured-posts/vertical-featured-posts.php' );
		require_once( trailingslashit( get_template_directory() ) . '/core/post/featured-posts/vertical-list-featured-posts.php' );

		require_once( trailingslashit( get_template_directory() ) . '/core/post-blocks/main-article.php' );
		require_once( trailingslashit( get_template_directory() ) . '/core/post-blocks/small-article.php' );

		require_once( trailingslashit( get_template_directory() ) . '/core/post-blocks/modules/module-1.php' );
		require_once( trailingslashit( get_template_directory() ) . '/core/post-blocks/modules/module-2.php' );

		require_once( trailingslashit( get_template_directory() ) . '/core/templates/after-content.php' );
		require_once( trailingslashit( get_template_directory() ) . '/core/templates/before-content.php' );
		require_once( trailingslashit( get_template_directory() ) . '/core/templates/masonry.php' );
		require_once( trailingslashit( get_template_directory() ) . '/core/templates/media.php' );
		require_once( trailingslashit( get_template_directory() ) . '/core/templates/pagination.php' );
		require_once( trailingslashit( get_template_directory() ) . '/core/templates/post-author.php' );
		require_once( trailingslashit( get_template_directory() ) . '/core/templates/post-blocks.php' );
		require_once( trailingslashit( get_template_directory() ) . '/core/templates/post-formats.php' );
		require_once( trailingslashit( get_template_directory() ) . '/core/templates/related-posts.php' );
		require_once( trailingslashit( get_template_directory() ) . '/core/templates/social_links.php' );
		require_once( trailingslashit( get_template_directory() ) . '/core/templates/title.php' );
		require_once( trailingslashit( get_template_directory() ) . '/core/templates/top-section.php' );

		require_once( trailingslashit( get_template_directory() ) . '/core/sidebars/bottom-sidebar.php' );
		require_once( trailingslashit( get_template_directory() ) . '/core/sidebars/footer-sidebar.php' );
		require_once( trailingslashit( get_template_directory() ) . '/core/sidebars/header-sidebar.php' );
		require_once( trailingslashit( get_template_directory() ) . '/core/sidebars/scroll-sidebar.php' );
		require_once( trailingslashit( get_template_directory() ) . '/core/sidebars/side-sidebar.php' );

		require_once( trailingslashit( get_template_directory() ) . '/core/includes/class-customize.php' );
		require_once( trailingslashit( get_template_directory() ) . '/core/includes/class-metaboxes.php' );
		require_once( trailingslashit( get_template_directory() ) . '/core/includes/class-notice.php' );
		require_once( trailingslashit( get_template_directory() ) . '/core/includes/class-plugin-activation.php' );
		require_once( trailingslashit( get_template_directory() ) . '/core/includes/class-welcome-page.php' );

		require_once( trailingslashit( get_template_directory() ) . '/core/admin/customize/google-fonts.php' );
		require_once( trailingslashit( get_template_directory() ) . '/core/admin/customize/customize.php' );

		require_once( trailingslashit( get_template_directory() ) . '/core/functions/function-required-plugins.php' );
		require_once( trailingslashit( get_template_directory() ) . '/core/functions/function-style.php' );
		require_once( trailingslashit( get_template_directory() ) . '/core/functions/function-widgets.php' );
		require_once( trailingslashit( get_template_directory() ) . '/core/functions/function-woocommerce.php' );

		require_once( trailingslashit( get_template_directory() ) . '/core/widgets/news_widget.php' );

		require_once( trailingslashit( get_template_directory() ) . '/core/metaboxes/page.php' );
		require_once( trailingslashit( get_template_directory() ) . '/core/metaboxes/post.php' );
		require_once( trailingslashit( get_template_directory() ) . '/core/metaboxes/product.php' );


	}

	add_action( 'after_setup_theme', 'urbanews_setup' );

}

/*-----------------------------------------------------------------------------------*/
/* Load custom widgets */
/*-----------------------------------------------------------------------------------*/

if (!function_exists('urbanews_widgets_init')) {

	function urbanews_widgets_init() {

		register_widget( 'urbanews_news_widget' );

	}

	add_action('widgets_init', 'urbanews_widgets_init');

}

/*-----------------------------------------------------------------------------------*/
/* Get categories */
/*-----------------------------------------------------------------------------------*/ 

if (!function_exists('urbanews_get_categories')) {

	function urbanews_get_categories() {

		$args = array(
			'taxonomy' => 'category',
			'hide_empty' => true,
		);

		$return['all'] = esc_html__( 'All categories', 'urbanews' );

		foreach ( get_terms($args) as $cat) {
			$return[$cat->term_id] = $cat->name;
		}
		
		return $return;

	}

}

?>